#ifndef _FD_ROOM_IN_
#define _FD_ROOM_IN_

typedef struct RoomIn RoomIn;
typedef struct RoomIns RoomIns;

#include "game.h"
#include "room.h"
#include "predicate.h"

struct RoomIn {
  Room *room;
  Predicate *predicates[10];
  int predicates_count;
  int priority;
  char *description;
};

struct RoomIns {
  RoomIn room_ins[200];
  int count;
};

void game_load_room_ins(Game *g);
RoomIns *find_room_ins(Room *r);
RoomIn *find_room_in(Game *g);

#endif
